%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	OpenGL image compositing library
Name:		glitz
Version:	0.5.6
Release:	%mkrel 14
License:	BSD
Group:		System/Libraries
URL:		http://cairographics.org/
Source0:	http://cairographics.org/snapshots/%name-%version.tar.bz2
Patch0:		glitz-0.4.0-libtool.patch
Patch1:		glitz-0.5.6-wformat.patch
Patch2:		glitz-0.5.6-link.patch
Patch3:		glitz-0.5.6-automake.patch
Patch4:         glitz-0.5.6-fix-configure.patch
BuildRequires:	GL-devel

%description
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software
fall-backs when graphics hardware is insufficient. However, glitz
will report if any requested operation cannot be carried out by
graphics hardware, hence making a higher level software layer
responsible for appropriate actions.

%package -n %{libname}
Summary:	OpenGL image compositing library
Group:		System/Libraries
Provides:	glitz = %{version}-%{release}

%description -n %{libname}
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software
fall-backs when graphics hardware is insufficient. However, glitz
will report if any requested operation cannot be carried out by
graphics hardware, hence making a higher level software layer
responsible for appropriate actions.

%package -n %{develname}
Summary:	Development files for glitz library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 1

%description -n %{develname}
Development files for glitz library.

%prep
%setup -q
%patch0 -p1 -b .libtool
%patch1 -p1 -b .wformat
%patch2 -p0 -b .link
%patch3 -p1 -b .am
%patch4 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING README NEWS TODO
%{_libdir}/libglitz*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.5.6-14.mga6
+ Revision: 944062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-13.mga5
+ Revision: 739499
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-12.mga5
+ Revision: 679645
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.6-11.mga4
+ Revision: 521453
- Mageia 4 Mass Rebuild

  + sander85 <sander85>
    - Bring it back to life, let's see if we can make it build

  + pterjan <pterjan>
    - Drop glitz

* Sat Jan 12 2013 dmorgan <dmorgan> 0.5.6-10.mga3
+ Revision: 360303
- Fix build with with automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 0.5.6-9.mga3
+ Revision: 304872
- fix build with latest autoconf
- correct fix linkage
- drop .la file

* Fri Jan 21 2011 ahmad <ahmad> 0.5.6-8.mga3
+ Revision: 28383
- drop old/unneeded scriptlets
- drop X11-devel BR, GL-devel pulls the needed ones
- imported package glitz


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.6-7mdv2011.0
+ Revision: 605460
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.6-6mdv2010.1
+ Revision: 521129
- rebuilt for 2010.1

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5.6-5mdv2010.0
+ Revision: 415382
- fix -Wformat warnings

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.6-4mdv2009.1
+ Revision: 301466
- rebuilt against new libxcb

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.5.6-3mdv2009.0
+ Revision: 264553
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-2mdv2009.0
+ Revision: 215162
- fix underlinking
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 0.5.6-2mdv2008.1
+ Revision: 101739
- new devel name


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.6-2mdv2007.0
+ Revision: 130764
- Import glitz

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-2mdv2007.1
- do not package big ChangeLog

* Sat May 27 2006 Sebastien Savarin <plouf@mandriva.org> 0.5.6-1mdv2007.0
- New release 0.5.6

* Fri May 05 2006 Jerome Soyer <saispo@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4.4-2mdk
- Rebuild

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- reenable libtoolize
- New release 0.4.3

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.0-2mdk
- fix build ex nihilo

* Fri Jan 28 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- New release 0.4.0

* Fri Nov 05 2004 Marcel Pol <mpol@mandrake.org> 0.2.3-1mdk
- 0.2.3
- use %%configure macro

* Sat Sep 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- from Tigrux <tigrux@ximian.com> : 
	- First RPM, based on Cairo rpm
- use mklibname macros
- do not use the %%configure

